Cyberduck Mountain Duck CLI

#7532 closed defect (fixed)

Missing CDN URLs

Reported by: marycathryv Owned by: yla
Priority: normal Milestone: 4.4.1
Component: cloudfiles Version: 4.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I recently updated to the newest version of Cyberduck. Ever since I updated, I am now noticing that the links to the photo URLs are not only different than previously, but they are now also invalid.

As an example, a colleague of mine who has the older version of Cyberduck gets this link for an image titled "Google Carousel": http://c8fd51833cdb8651a8f4-f07cbf7d82a25642f1bb0f1269450146.r10.cf2.rackcdn.com/GoogleCarousel.png.

If you view the attached photo, you will see that when I look up the same image (on the exact same server, exact same folder, etc), the link that I get is:

https://storage101.ord1.clouddrive.com/v1/MossoCloudFS_9c5a6cdf-6e3d-4069-9370-c164c23c5fec/NR4Companies/GoogleCarousel.png

When you try to open the link, you get an error screen. (Also attached).

Please advise. In the meantime, I will uninstall the latest version of Cyberduck and revert to the older version. Thank you!

Attachments (2)

Cyberduck1.png (83.0 KB) - added by marycathryv on Oct 30, 2013 at 10:33:17 PM.
CyberduckErrorPage.png (25.1 KB) - added by marycathryv on Oct 30, 2013 at 10:33:32 PM.
Cyberduck Error Page

Download all attachments as: .zip

Change History (8)

Changed on Oct 30, 2013 at 10:33:17 PM by marycathryv

Changed on Oct 30, 2013 at 10:33:32 PM by marycathryv

Cyberduck Error Page

comment:1 Changed on Oct 31, 2013 at 6:22:08 AM by dkocher

  • Component changed from core to cloudfiles
  • Milestone set to 4.4.1
  • Owner set to dkocher

See also #7515.

comment:2 Changed on Oct 31, 2013 at 8:27:04 AM by dkocher

The URL displayed is the storage (origin) URL of the file. The CDN (Akamai) URL should be displayed in addition if Akamai distribution (CDN) is enabled for the container.

comment:3 Changed on Oct 31, 2013 at 12:26:59 PM by dkocher

  • Owner changed from dkocher to yla
  • Summary changed from Incorrect URLs being displayed to Missing CDN URLs

comment:4 Changed on Oct 31, 2013 at 12:45:48 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r13686.

comment:5 Changed on Nov 19, 2013 at 3:54:41 PM by dkocher

#7624 closed as duplicate.

comment:6 Changed on Nov 19, 2013 at 3:54:59 PM by dkocher

#7544 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software